$TITLE ('GALEX/COS Patchable Constants')
$PAGELENGTH(59)
$SB
$DEBUG
;THIS IS PATCHCST.A51,                        LAST EDITED ::  7-6-100 8:54 am 
;*****************************************************************************
;
;    PPPPPP                                        CCCCC
;    P     P     AA      TTTTT    CCCC    H    H  C     C    SSSS     TTTTT
;    P     P    A  A       T     C    C   H    H  C         S           T
;    PPPPPP    A    A      T     C        HHHHHH  C          SSSS       T
;    P         AAAAAA      T     C        H    H  C              S      T
;    P         A    A      T     C    C   H    H  C     C   S    S      T
;    P         A    A      T      CCCC    H    H   CCCCC     SSSS       T
;
;*****************************************************************************
; v16884 dbb 05-06-00 Created segment to unify the various code constants.
; v16885 dbb 05-07-00 REORGANIZED! New memory and IVT layout, future
;                     uploads will not be compatable with older versions.
; v17000 dbb 05-22-00 Code Review Version
; v17016 dbb 05-31-00 Repaired typo in REGION table causing excessive diags
; v17024 dbb 06-12-00 Added updates for Bits4-5
;*****************************************************************************
$SET (PATCHCST)
$INCLUDE(common.inc)

         NAME PATCHCST

;*****************************************************************************
STACK SEGMENT IDATA
         RSEG STACK
             DS   1

;*****************************************************************************
INITDATA SEGMENT DATA
         RSEG INITDATA

FILLER:      DS  24           ; leave no gaps in map dbb 12-2-99

;*****************************************************************************
I2ITDATA SEGMENT DATA
         RSEG I2ITDATA

;*** Mainroutine *************************************************************
PH_IDX:      DS   1           ;index to PH buffer, incremented 1Hz, mod 8
HKPTMR:      DS   1           ; tick timer for autonomous hkp
RESETCTR:    DS   1           ; Reset counter forces POR after 255 watchdogs
HVI_DELAY:   DS   1           ; for delay loop during HV_I testing
LAST_CH:     DS   1           ; to detect rollover
HVRAMP:      DS   1           ; HV_Ramp constant, 0 disables ramping
LEDimage:    DS   1           ; Hardware readback may not be available
stackAt:     DS   1           ; Points to top of stack, verifies behavior
GPTMR:       DS   1           ;General purpose timer, 1 count = 49.152ms
MOTORTMR:    DS   1           ;Motor timeout timer, 1 count = 1 Second
;*** CRC Cyclic Redundancy Check calculation variables ***********************
CRCH:        DS   1           ;CRC high byte
CRCL:        DS   1           ;CRC low byte
DXL:         DS   1           ;CRC register
DXH:         DS   1           ;CRC register
TEMP:        DS   1           ;Temporary register
TEMP1:       DS   1           ;Temporary register
CTR0:        DS   1           ;Debug Counter; unused! dbb 12-5-99
CTR1:        DS   1           ;Debug Counter; unused! dbb 12-5-99
CONTEXT:     DS   2           ; pointer to region
MEMPTR:      DS   2           ; pointer to next address for CRC calculation
CRCSAVEH:    DS   1           ; stored here while executing in foreground
CRCSAVEL:    DS   1           ; stored here while executing in foreground

CMDBUFF:     DS   4           ;General purpose
HKPBUFF:     DS   4           ;General purpose
SDBUFFR:     DS   8           ; for POR test

;*** SAA HV Auto Reduce variables ********************************************
SAA_K_A:     DS   1           ; index to SAA_TABLE_A
SAA_K_B:     DS   1           ; index to SAA_TABLE_B

;*** Filler to map internal memory map align to paragraph boundary
DUMMYBYTES:  DS   6           ; filler

;*****************************************************************************
VARIABLES SEGMENT XDATA
           RSEG VARIABLES

;*** SAA HV Auto Reduce variables ********************************************
;
SAA_TABLE_A: DS 768           ;       3 x 256
SAA_TABLE_B: DS 768           ; 3 x 256
;
SA_REDUCED:  DS   1           ; Value of HV at Reduced level, Seg A
SB_REDUCED:  DS   1           ; Value of HV at Reduced level, Seg B
SAA_A_TICKS: DS   2           ; Number of seconds(?) to hold HV Auto Reduce
SAA_B_TICKS: DS   2           ; Number of seconds(?) to hold HV Auto Reduce
DIAG_PTR:    DS   1           ; index to TS30 space for diagnostic reporting
ISAMPLE:     DS   1           ; previously unused, appropriated as temp I
SA_SAVED:    DS   1           ; Saved value of HV  A
SB_SAVED:    DS   1           ; Saved value of HV  B
AL_STATE:    DS   2           ; Door unlatched detector state variable
AR_STATE:    DS   2           ; Act Reset latched detector state variable
HA_STATE:    DS   2           ; HV Overcurrent detector state variable
HB_STATE:    DS   2           ; HV Overcurrent detector state variable
SA_INT_TIME: DS   2           ; SAA Integration Time for Count Limit, Seg A
SB_INT_TIME: DS   2           ; SAA Integration Time for Count Limit, Seg B
SA_CNT_LMT:  DS   2           ; SAA Count Limit for Segment A
SB_CNT_LMT:  DS   2           ; SAA Count Limit for Segment B
SAA_TIMEOFF: DS   2           ; Number of seconds(?) to hold HV Auto Reduce
Image0:      DS   2           ; CRC image of U7
Image1:      DS   2           ; CRC image of U2
Image2:      DS   2           ; CRC image of Lower Code
Image3:      DS   2           ; CRC image of Upper Code
Reserved:    DS   8           ; for address compatability
;
HVArampcnt:  DS   1           ; countdown for HV ramp on side A
HVBrampcnt:  DS   1           ; countdown for HV ramp on side B
HVAtarget:   DS   1           ; target HV for HV ramp on side A
HVBtarget:   DS   1           ; target HV for HV ramp on side B
HVAsetting:  DS   1           ; setting HV for HV ramp on side A
HVBsetting:  DS   1           ; setting HV for HV ramp on side B
; These two added as offsets into circular buffer for HVI recording
SIDXI:       DS   2           ; index into SAMPLE record
TRIGCNTR0:   DS   1           ; counter for delayed trigger, used for HVIA
TRIGCNTR1:   DS   1           ; counter for delayed trigger, used for HVIB
TRIGCNTR2:   DS   1           ; counter for delayed trigger, used for AUXI
TRIGCNTR3:   DS   1           ; counter for delayed trigger, used for FSTA
pIMAGE:      DS  64           ; a copy of parameters for BOX commands

LastErrInfo: DS   1           ; used for HST ERR parameter report
MoreErrInfo: DS   1           ; upper byte
;
$EJECT
;*****************************************************************************
CHANGING SEGMENT CODE
         RSEG CHANGING

    JMP    TRAPWILD           ; this will never happen, right?

    FROGS_CODE 253            ; room for PROM patch

;*****************************************************************************
; Table provides conversion from diagnostic to error, points to parameter
HSTERR_TABLE:
    DW   LastErrInfo,  RS17_PAR1,     RS17_PAR2,     RS17_PAR1       ; 00..03
    DW   SERIALN,      LastErrInfo,   LastErrInfo,   LastErrInfo     ; 04..07
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 08..0B
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 0C..0F

    DW   LastErrInfo,  CMDIMAGE,      LastErrInfo,   LastErrInfo     ; 10..13
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   tU2             ; 14..17
    DW   tLower,       tUpper,        tCRC_ROM,      LastErrInfo     ; 18..1B
    DW   LastErrInfo,  tDCTIMEL,      tDCTIMEL,      LastErrInfo     ; 1C..1F

    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 20..23
    DW   LastErrInfo,  LastErrInfo,   ISAMPLE,       ISAMPLE         ; 24..27
    DW   ISAMPLE,      LastErrInfo,   tDCTIMEL,      tDCTIMEL        ; 28..2B
    DW   tDCTIMEL,     LastErrInfo,   LastErrInfo,   CMDIMAGE        ; 2C..2F

    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 30..33
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 34..37
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 38..3B
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 3C..3F

    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 40..43
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 44..47
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 48..4B
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 4C..4F

    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 50..53
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 54..57
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 58..5B
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 5C..5F

    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 60..63
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 64..67
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 68..6B
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 6C..6F

    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 70..73
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 74..77
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 78..7B
    DW   LastErrInfo,  LastErrInfo,   LastErrInfo,   LastErrInfo     ; 7C..7F

    FROGS_CODE 256            ; room for PROM patch

;*****************************************************************************
PSAMPHVI   EQU 20    ; number of persistent overlimits before shutdown.
PSAMPAUX   EQU 255   ; number of persistent overlimits before shutdown.

HVIAINFO:
    DW     HV_IMAX            ; pointer to limit level
    DW     U17p6              ; sample source info for MUX & A2D
    DW     tHI_MON_A          ; housekeeping address for sample
    DW     DIAG0027           ; diagnostic for spike detection
    DW     DIAG002A           ; diagnostic for power shutdown
    DW     SAMPHVIA           ; address of 1k sample buffer.  Lower byte zero.
    DW     HISTHVIA           ; address of 1k sample histogram. Lower byte zero.
    DW     TRIGCNTR0          ; counter for delayed trigger, used for HVIA
    DW     PSAMPHVI           ; number of persistent overlimits before shutdown.

HVIBINFO:
    DW     HV_IMAX            ; pointer to limit level
    DW     U17p7              ; sample source info for MUX & A2D
    DW     tHI_MON_B          ; housekeeping address for sample
    DW     DIAG0028           ; diagnostic for spike detection
    DW     DIAG002B           ; diagnostic for power shutdown
    DW     SAMPHVIB           ; address of 1k sample buffer.  Lower byte zero.
    DW     HISTHVIB           ; address of 1k sample histogram. Lower byte zero.
    DW     TRIGCNTR1          ; counter for delayed trigger, used for HVIB
    DW     PSAMPHVI           ; number of persistent overlimits before shutdown.

AUXIINFO:
    DW     DOOR_IMAX          ; pointer to limit level
    DW     U17p5              ; sample source info for MUX & A2D
    DW     tAUX_MON           ; housekeeping address for sample
    DW     DIAG0016           ; diagnostic for spike detection
    DW     DIAG002E           ; diagnostic for power shutdown
    DW     SAMPAUXI           ; address of 1k sample buffer.  Lower byte zero.
    DW     HISTAUXI           ; address of 1k sample histogram. Lower byte zero.
    DW     TRIGCNTR2          ; counter for delayed trigger, used for AUXI
    DW     PSAMPAUX           ; number of persistent overlimits before shutdown.


    FROGS_CODE 330            ; room for PROM patch

;*****************************************************************************
; Each Table item contains a length, source address, and destination address.
; The end of the table is marked by a '0,' zero-length.
; Per Action Item 1.009
UPDATETABLE:
    DW  2, MUX,       tMUXBITS
    DW  1, CONTROLS1, tC1BITS
    DW  1, CONTROLS2, tC2BITS
    DW  2, MUX,       tSTATUS_BITS3
    DW  0,0,0

    FROGS_CODE   98           ; room for PROM patch

;*****************************************************************************
; Each Table item contains a length, source address, and destination address.
; The end of the table is marked by a '0,' zero-length.
; Per Action Item 1.009
COUNTERTABLE:                 ; point to a table of sources, dests, and lengths
    DW   3, COUNTERS_A+00h, tCFEA ; fec
    DW   3, COUNTERS_A+04h, tCDEA ; dec
    DW   3, COUNTERS_A+08h, tCASA ; tlm
    DW   3, COUNTERS_B+00h, tCFEB ; fec
    DW   3, COUNTERS_B+04h, tCDEB ; dec
    DW   3, COUNTERS_B+08h, tCASB ; tlm
    DW 0,0,0                                          ; end of table
PHTABLE:
    DW 256, PH_SLICE_0,     TS17  ; ph a & b
    DW 0,0,0                                          ; end of table

    FROGS_CODE 202            ; room for PROM patch

;*****************************************************************************
; The table below correlates COS/GALEX TDC/Digiter commands.  Zeros indicate
; no known command for that digitizer.

CDCTABLE:     DB  TDC_RESET_MODE,  0
STIM_CONTRL:  DB  TDC_STIM_ACTIVE, DIG_STIM_CTL    ; STIMS
X_SHIFT_DAC:  DB  TDC_X_SHIFT,     ST_OFFSET_X          ; GDGBOFFX
X_SHIFT_DAE:  DB  0,               SP_OFFSET_X          ; GDGEOFFX
X_SCALE_DAC:  DB  TDC_X_STRETCH,   ST_GAIN_X          ; GDGBSCLX
X_SCALE_DAE:  DB  0,               SP_GAIN_X       ; GDGESCLX
BEG_WALK:     DB  TDC_B_WALK_X,    WALK_ST_X          ; GDGBWKX
END_WALK:     DB  TDC_E_WALK_X,    WALK_SP_X          ; GDGEWKX
LWR_Q_THR:    DB  TDC_Q_LO,        DIG_QLO          ; GDGLQT
UPR_Q_THR:    DB  TDC_Q_HI,        DIG_QHI          ; GDGUQT
LWR_T_THR:    DB  TDC_TTHR_X,      DIG_THR_X          ; GDGTTX

WYE_T_THR:    DB  TDC_TTHR_Y,      DIG_THR_Y          ; GDGTTY
Y_SHIFT_DAC:  DB  TDC_Y_SHIFT,     ST_OFFSET_Y          ; GDGBOFFY
Y_SHIFT_DAE:  DB  0,               SP_OFFSET_Y          ; GDGEOFFY
Y_SCALE_DAC:  DB  TDC_Y_STRETCH,   ST_GAIN_Y          ; GDGBSCLY
Y_SCALE_DAE:  DB  0,               SP_GAIN_Y          ; GDGESCLY
YBEGWALK:     DB  TDC_B_WALK_Y,    WALK_ST_Y       ; GDGBWKY
YENDWALK:     DB  TDC_E_WALK_Y,    WALK_SP_Y          ; GDGEWKY

MUX_XSHIFT:   DB  MDC_X_SHIFT,     MON_ST_OFFSET_X
MUX_XSHIFE:   DB  0,               MON_SP_OFFSET_X
MUX_XSTRETCH: DB  MDC_X_STRETCH,   MON_ST_GAIN_X
MUX_XSTRETCE: DB  0,               MON_SP_GAIN_X
MUX_B_WALK_X: DB  MDC_B_WALK_X,    MON_WALK_ST_X
MUX_E_WALK_X: DB  MDC_E_WALK_X,    MON_WALK_SP_X
MUX_TTHR_Y:   DB  MDC_TTHR_Y,      MON_THR_Y
MUX_QLO:      DB  MDC_Q_LO,        MON_QLO
MUX_QUP:      DB  MDC_Q_HI,        MON_QHI
MUX_TTHR_X:   DB  MDC_TTHR_X,      MON_THR_X
MUX_YSHIFT:   DB  MDC_Y_SHIFT,     MON_ST_OFFSET_Y
MUX_YSHIFE:   DB  0,               MON_SP_OFFSET_Y
MUX_YSTRETCH: DB  MDC_Y_STRETCH,   MON_ST_GAIN_Y
MUX_YSTRETCE: DB  0,               MON_SP_GAIN_Y
MUX_BWALY:    DB  MDC_B_WALK_Y,    MON_WALK_ST_Y
MUX_EWALY:    DB  MDC_E_WALK_Y,    MON_WALK_SP_Y
MUX_P15V:     DB  MDC_P15V,        MON_P15V
MUX_M15V:     DB  MDC_M15V,        MON_M15V
MUX_VCC:      DB  MDC_VCC,         MON_VCC
MUX_M52V:     DB  MDC_M52V,        MON_M52V
MUX_VREF:     DB  MDC_VREF,        MON_VREF
MUX_GND1:     DB  MDC_GND1,        GR1UND
MUX_GND2:     DB  MDC_GND2,        GR2UND
MUX_GND3:     DB  MDC_GND3,        GR3UND
              DB  MDC_GND4,        0
              DB  MDC_GND5,        0
              DB  MDC_GND6,        0
              DB  MDC_GND7,        0

    FROGS_CODE  164            ; room for PROM patch

;*****************************************************************************
; For every analog input to the Analog-to-Digital Converter, we copy the
; converted value to the telemetry.
CMUXTABLE:  ; the list of items to be sensed and stored.
  DW  U15p4,  LFTDVAA      ; Det Vacuum Assy A Temp
  DW  U15p5,  LFTACT       ; Actuator temp
  DW  U15p6,  LFTHVFM      ; HVFM Temp
  DW  U15p7,  LFTHVPS      ; HVPS Temp
  DW  U15p12, LFTTDCA      ; TDC A Temp
  DW  U15p11, LFTIP        ; Ion Pump Temp
  DW  U15p10, LFTAMPA      ; Amp A Temp
  DW  U15p9,  LFTAMPB      ; Amp B Temp
  DW  U16p4,  LFTTDCB      ; TDC B Temp
  DW  U16p5,  LFTDVAB      ; Det Vacuum Assy B Temp
  DW  U16p6,  LFTLVPS          ; LVPS Temp
  DW  U16p7,  LFTDCE       ; DCE Temp
  DW  U16p12, LFHFAN       ; FHV Status Analog
  DW  U16p11, LFVP5DC      ; DCE-C +5V
  DW  U16p10, LFVP15D      ; DCE +15V
  DW  U16p9,  LFVM15D          ; DCE -15V
  DW  U17p4,  LFRPOS       ; Door position 0..255
  DW  U17p5,  LFRAXAN          ; Aux status analog
  DW  U17p6,  LFHIMONA     ; HV Current A
  DW  U17p7,  LFHIMONB     ; HV Current B
  DW  U17p12, LFHVMONA     ; HV Output Volts A
  DW  U17p11, LFHVMONB     ; HV Output Volts B
  DW  U17p10, LFHQANA          ; QHVA status analog
  DW  U17p9,  LFHQANB          ; QHVB status analog
  DW  U18p4,  LFRAXI       ; Aux power supply current
  DW  U18p5,  LFRMTRAN     ; Door motor analog monitor
  DW  U18p6,  LFRACTAN     ; Actuator analog status
  DW  U18p7,  LFVPMON      ; LVPC Input Power
  DW  U18p12, LFHSETA          ; HV Command Level A
  DW  U18p11, LFHSETB          ; HV Command Level B
  DW  U29p4,  LFVP5DA          ; DCE-A +5V
  DW  U29p5,  LFVM5DB          ; DCE-B +5V
  DW  U29p12, LFHVMAXA     ; HV Command Level maximum A
  DW  U29p11, LFHVMAXB     ; HV Command Level maximum B
;  B-side first, so we are more likely to err nicely.
  DW  U19p6,  tLFGBWKBX,    MUX_B_WALK_X  ; TDC Begin Walk AX    ; sensor
  DW  U19p6,  tLFGEWKBX,    MUX_E_WALK_X  ; TDC End Walk AX      ; sensor
  DW  U19p6,  tLFGUQTBX,    MUX_QUP       ; sensor
  DW  U19p6,  tLFGLQTBX,    MUX_QLO       ; sensor
  DW  U19p6,  tLFGSHFBX,    MUX_XSHIFT    ; TDC Image Shift AX   ; sensor
  DW  U19p6,  tLFGSTRBX,    MUX_XSTRETCH  ; TDC Image Stretch AX ; sensor
  DW  U19p6,  tLFGTTBX,     MUX_TTHR_X    ; sensor
  DW  U19p6,  tLFGTTBY,     MUX_TTHR_Y    ; sensor
  DW  U19p6,  tLFGSHFBY,    MUX_YSHIFT    ; sensor
  DW  U19p6,  tLFGSTRBY,    MUX_YSTRETCH  ; sensor
  DW  U19p6,  tLFGBWKBY,    MUX_BWALY
  DW  U19p6,  tLFGEWKBY,    MUX_EWALY
  DW  U19p6,  tTDC_Bp5MON,  MUX_VCC
  DW  U19p6,  tVREFB,       MUX_VREF
  DW  U19p6,  tTDC_Bp15MON, MUX_P15V
  DW  U19p6,  tTDC_Bm15MON, MUX_M15V
  DW  U19p6,  tTDC_Bm5MON,  MUX_M52V
;  A-side second, so we are more likely to err nicely.
  DW  U18p10, tLFGBWKAX,    MUX_B_WALK_X  ; TDC Begin Walk AX    ; sensor
  DW  U18p10, tLFGEWKAX,    MUX_E_WALK_X  ; TDC End Walk AX      ; sensor
  DW  U18p10, tLFGUQTAX,    MUX_QUP       ; sensor
  DW  U18p10, tLFGLQTAX,    MUX_QLO       ; sensor
  DW  U18p10, tLFGSHFAX,    MUX_XSHIFT    ; TDC Image Shift AX   ; sensor
  DW  U18p10, tLFGSTRAX,    MUX_XSTRETCH  ; TDC Image Stretch AX ; sensor
  DW  U18p10, tLFGTTAX,     MUX_TTHR_X    ; sensor
  DW  U18p10, tLFGTTAY,     MUX_TTHR_Y    ; sensor
  DW  U18p10, tLFGSHFAY,    MUX_YSHIFT    ; sensor
  DW  U18p10, tLFGSTRAY,    MUX_YSTRETCH  ; sensor
  DW  U18p10, tLFGBWKAY,    MUX_BWALY
  DW  U18p10, tLFGEWKAY,    MUX_EWALY

  DW  U18p10, tTDC_Ap5MON,  MUX_VCC
  DW  U18p10, tVREFA,       MUX_VREF
  DW  U18p10, tTDC_Ap15MON, MUX_P15V
  DW  U18p10, tTDC_Am15MON, MUX_M15V
  DW  U18p10, tTDC_Am5MON,  MUX_M52V

  DW  0,           0       ; end of list

    FROGS_CODE 168            ; room for PROM patch

;*****************************************************************************
GMUXTABLE:  ; the list of items to be sensed and stored.
  DW  U15p4,  LFTDVAA      ; Det 1 Temp*
  DW  U15p5,  LFTACT       ; Det 2 Temp*
; DW  U15p6,  tDUMMY       ; V13
  DW  U15p7,  LFTHVPS      ; HV Temp
; DW  U15p12, tDUMMY       ; V14
; DW  U15p11, tDUMMY       ; V15
  DW  U15p10, LFTAMPA      ; Amp X Temp
  DW  U15p9,  LFTAMPB      ; Amp Y Temp
  DW  U16p4,  LFTTDCB      ; TDC X Temp
  DW  U16p5,  tDTCON       ; TDC-Ctrl Temp*
  DW  U16p6,  LFTLVPS          ; LV Temp
  DW  U16p7,  LFTDCE       ; DIB Temp
  DW  U16p12, LFHFAN       ; F Status Analog
  DW  U16p11, LFVP5DC      ; DIB-C +5V
  DW  U16p10, LFVP15D      ; DIB +15V
  DW  U16p9,  LFVM15D          ; DIB -15V
  DW  U17p4,  tLFVP21D     ; +21V MON*
  DW  U17p5,  tTDC_Am15MON ; -15V MON*
  DW  U17p6,  LFHIMONA     ; HV I MON (Current)
; DW  U17p7,  tDUMMY       ; Jumper N/C float
  DW  U17p12, LFHVMONA     ; HV MON (Output Volts)
; DW  U17p11, tDUMMY       ; Jumper N/C float
  DW  U17p10, tVREFA       ; +5V Ref*
  DW  U17p9,  tDVP5DB      ; +5V MON*
; DW  U18p4,  tDUMMY       ; Jumper N/C float
  DW  U18p5,  tTDC_Ap5MON  ; +6V MON*
  DW  U18p6,  tTDC_Am5MON  ; -7V MON*
  DW  U18p7,  LFVPMON      ; PMON LVPC Input Power
; DW  U18p12, tDUMMY       ; Jumper N/C float
; DW  U18p11, tDUMMY       ; Jumper N/C float
  DW  U18p10, tDGUQT,    MUX_QUP        ;                      dig_uqt          P
  DW  U18p10, tDGLQT,    MUX_QLO        ;                      dig_lqt          P
  DW  U18p10, tDGBWKX,   MUX_B_WALK_X   ; TDC Begin Walk AX    dig_bwkx          P
  DW  U18p10, tDGEWKX,   MUX_E_WALK_X   ; TDC End Walk AX      dig_ewkx          P
  DW  U18p10, tDGTTX,    MUX_TTHR_X     ;                      dig_ttx          P
  DW  U18p10, tDGTTY,    MUX_TTHR_Y     ;                      dig_tty          P
  DW  U18p10, tDGBOFFX,  MUX_XSHIFT     ; TDC Image Shift AX   dig_boffx   P
  DW  U18p10, tDGEOFFX,  MUX_XSHIFE     ; TDC Image Shift AX   dig_eoffx
  DW  U18p10, tDGBOFFY,  MUX_YSHIFT     ; sensor               dig_boffy   P
  DW  U18p10, tDGEOFFY,  MUX_YSHIFE     ; sensor               dig_eoffy
  DW  U18p10, tDGBSCLX,  MUX_XSTRETCH   ; TDC Image Stretch AX dig_bscalex
  DW  U18p10, tDGESCLX,  MUX_XSTRETCE   ; TDC Image Stretch AX dig_escalex
  DW  U18p10, tDGBSCLY,  MUX_YSTRETCH   ;                      dig_bscaley
  DW  U18p10, tDGESCLY,  MUX_YSTRETCE   ;                      dig_escaley
  DW  U18p10, tDGBWKY,   MUX_BWALY      ;                      dig_bwky
  DW  U18p10, tDGEWKY,   MUX_EWALY      ;                      dig_ewky
  DW  U18p10, tDVP15T,   MUX_P15V       ;                      volt_p15t
  DW  U18p10, tDVM15T,   MUX_M15V       ;                      volt_m15t
;
  DW  U18p10, tMUX_VCC,  MUX_VCC        ;
  DW  U18p10, tMUX_M52V, MUX_M52V       ;
  DW  U18p10, tMUX_VREF, MUX_VREF       ;
  DW  U18p10, tMUX_GND1, MUX_GND1       ;
  DW  U18p10, tMUX_GND2, MUX_GND2       ;
  DW  U18p10, tMUX_GND3, MUX_GND3       ;

  DW  0,           0

    FROGS_CODE 20            ; room for PROM patch
SENSOR_INDEX:

  DW CHANGING+0700h ; 00 U15p4,  LFTDVAA   ; Det Vacuum Assy A Temp
  DW CHANGING+0704h ; 01 U15p5,  LFTACT    ; Actuator temp
  DW CHANGING+0708h ; 02 U15p6,  LFTHVFM   ; HVFM Temp
  DW CHANGING+070Ch ; 03 U15p7,  LFTHVPS   ; HVPS Temp
  DW CHANGING+0710h ; 04 U15p12, LFTTDCA   ; TDC A Temp
  DW CHANGING+0714h ; 05 U15p11, LFTIP     ; Ion Pump Temp
  DW CHANGING+0718h ; 06 U15p10, LFTAMPA   ; Amp A Temp
  DW CHANGING+071Ch ; 07 U15p9,  LFTAMPB   ; Amp B Temp
  DW CHANGING+0720h ; 08 U16p4,  LFTTDCB   ; TDC B Temp
  DW CHANGING+0724h ; 09 U16p5,  LFTDVAB   ; Det Vacuum Assy B Temp
  DW CHANGING+0728h ; 0A U16p6,  LFTLVPS   ; LVPS Temp
  DW CHANGING+072Ch ; 0B U16p7,  LFTDCE    ; DCE Temp
  DW CHANGING+0730h ; 0C U16p12, LFHFAN    ; FHV Status Analog
  DW CHANGING+0734h ; 0D U16p11, LFVP5DC   ; DCE-C +5V
  DW CHANGING+0738h ; 0E U16p10, LFVP15D   ; DCE +15V
  DW CHANGING+073Ch ; 0F U16p9,  LFVM15D   ; DCE -15V
  DW CHANGING+0740h ; 10 U17p4,  LFRPOS    ; Door position 0..255
  DW CHANGING+0744h ; 11 U17p5,  LFRAXAN   ; Aux status analog
  DW CHANGING+0748h ; 12 U17p6,  LFHIMONA  ; HV Current A
  DW CHANGING+074Ch ; 13 U17p7,  LFHIMONB  ; HV Current B
  DW CHANGING+0750h ; 14 U17p12, LFHVMONA  ; HV Output Volts A
  DW CHANGING+0754h ; 15 U17p11, LFHVMONB  ; HV Output Volts B
  DW CHANGING+0758h ; 16 U17p10, LFHQANA   ; QHVA status analog
  DW CHANGING+075Ch ; 17 U17p9,  LFHQANB   ; QHVB status analog
  DW CHANGING+0760h ; 18 U18p4,  LFRAXI    ; Aux power supply current
  DW CHANGING+0764h ; 19 U18p5,  LFRMTRAN  ; Door motor analog monitor
  DW CHANGING+0768h ; 1A U18p6,  LFRACTAN  ; Actuator analog status
  DW CHANGING+076Ch ; 1B U18p7,  LFVPMON   ; LVPC Input Power
  DW CHANGING+0770h ; 1C U18p12, LFHSETA   ; HV Command Level A
  DW CHANGING+0774h ; 1D U18p11, LFHSETB   ; HV Command Level B
  DW CHANGING+0778h ; 1E U29p4,  LFVP5DA   ; DCE-A +5V
  DW CHANGING+077Ch ; 1F U29p5,  LFVM5DB   ; DCE-B +5V
  DW CHANGING+0780h ; 20 U29p12, LFHVMAXA  ; HV Command Level maximum A
  DW CHANGING+0784h ; 21 U29p11, LFHVMAXB  ; HV Command Level maximum B
  DW CHANGING+0788h ; 22 U19p6,  tLFGBWKBX, MUX_B_WALK_X  ; TDC Begin Walk AX    ; sensor
  DW CHANGING+078Eh ; 23 U19p6,  tLFGEWKBX, MUX_E_WALK_X  ; TDC End Walk AX      ; sensor
  DW CHANGING+0794h ; 24 U19p6,  tLFGUQTBX, MUX_QUP       ; sensor
  DW CHANGING+079Ah ; 25 U19p6,  tLFGLQTBX, MUX_QLO       ; sensor
  DW CHANGING+07A0h ; 26 U19p6,  tLFGSHFBX, MUX_XSHIFT    ; TDC Image Shift AX   ; sensor
  DW CHANGING+07A6h ; 27 U19p6,  tLFGSTRBX, MUX_XSTRETCH  ; TDC Image Stretch AX ; sensor
  DW CHANGING+07ACh ; 28 U19p6,  tLFGTTBX,  MUX_TTHR_X    ; sensor
  DW CHANGING+07B2h ; 29 U19p6,  tLFGTTBY,  MUX_TTHR_Y    ; sensor
  DW CHANGING+07B8h ; 2A U19p6,  tLFGSHFBY, MUX_YSHIFT    ; sensor
  DW CHANGING+07BEh ; 2B U19p6,  tLFGSTRBY, MUX_YSTRETCH  ; sensor
  DW CHANGING+07C4h ; 2C U19p6,  tLFGBWKBY, MUX_BWALY
  DW CHANGING+07CAh ; 2D U19p6,  tLFGEWKBY, MUX_EWALY
  DW CHANGING+07D0h ; 2E U19p6,  tTDC_Bp5MON, MUX_VCC
  DW CHANGING+07D6h ; 2F U19p6,  tVREFB,      MUX_VREF
  DW CHANGING+07DCh ; 30 U19p6,  tTDC_Bp15MON, MUX_P15V
  DW CHANGING+07E2h ; 31 U19p6,  tTDC_Bm15MON, MUX_M15V
  DW CHANGING+07E8h ; 32 U19p6,  tTDC_Bm5MON, MUX_M52V
  DW CHANGING+07EEh ; 33 U18p10, tLFGBWKAX,   MUX_B_WALK_X  ; TDC Begin Walk AX    ; sensor
  DW CHANGING+07F4h ; 34 U18p10, tLFGEWKAX,   MUX_E_WALK_X  ; TDC End Walk AX      ; sensor
  DW CHANGING+07FAh ; 35 U18p10, tLFGUQTAX,   MUX_QUP       ; sensor
  DW CHANGING+0800h ; 36 U18p10, tLFGLQTAX,   MUX_QLO       ; sensor
  DW CHANGING+0806h ; 37 U18p10, tLFGSHFAX,   MUX_XSHIFT    ; TDC Image Shift AX   ; sensor
  DW CHANGING+080Ch ; 38 U18p10, tLFGSTRAX,   MUX_XSTRETCH  ; TDC Image Stretch AX ; sensor
  DW CHANGING+0812h ; 39 U18p10, tLFGTTAX,    MUX_TTHR_X    ; sensor
  DW CHANGING+0818h ; 3A U18p10, tLFGTTAY,    MUX_TTHR_Y    ; sensor
  DW CHANGING+081Eh ; 3B U18p10, tLFGSHFAY,   MUX_YSHIFT    ; sensor
  DW CHANGING+0824h ; 3C U18p10, tLFGSTRAY,   MUX_YSTRETCH  ; sensor
  DW CHANGING+082Ah ; 3D U18p10, tLFGBWKAY,   MUX_BWALY
  DW CHANGING+0830h ; 3E U18p10, tLFGEWKAY,   MUX_EWALY
  DW CHANGING+0836h ; 3F U18p10, tTDC_Ap5MON,  MUX_VCC
  DW CHANGING+083Ch ; 40 U18p10, tVREFA,       MUX_VREF
  DW CHANGING+0842h ; 41 U18p10, tTDC_Ap15MON, MUX_P15V
  DW CHANGING+0848h ; 42 U18p10, tTDC_Am15MON, MUX_M15V
  DW CHANGING+084Eh ; 43 U18p10, tTDC_Am5MON,  MUX_M52V
;  DW CHANGING+0854h   3 0,           0       ; end of list
  DW CHANGING+0900h ; 44 U15p4,  LFTDVAA      ; Det 1 Temp*
  DW CHANGING+0904h ; 45 U15p5,  LFTACT       ; Det 2 Temp*
  DW CHANGING+0908h ; 46 U15p7,  LFTHVPS      ; HV Temp
  DW CHANGING+090Ch ; 47 U15p10, LFTAMPA      ; Amp X Temp
  DW CHANGING+0910h ; 48 U15p9,  LFTAMPB      ; Amp Y Temp
  DW CHANGING+0914h ; 49 U16p4,  LFTTDCB      ; TDC X Temp
  DW CHANGING+0918h ; 4A U16p5,  tDTCON       ; TDC-Ctrl Temp*
  DW CHANGING+091Ch ; 4B U16p6,  LFTLVPS      ; LV Temp
  DW CHANGING+0920h ; 4C U16p7,  LFTDCE       ; DIB Temp
  DW CHANGING+0924h ; 4D U16p12, LFHFAN       ; F Status Analog
  DW CHANGING+0928h ; 4E U16p11, LFVP5DC      ; DIB-C +5V
  DW CHANGING+092Ch ; 4F U16p10, LFVP15D      ; DIB +15V
  DW CHANGING+0930h ; 50 U16p9,  LFVM15D      ; DIB -15V
  DW CHANGING+0934h ; 51 U17p4,  tLFVP21D     ; +21V MON*
  DW CHANGING+0938h ; 52 U17p5,  tTDC_Am15MON ; -15V MON*
  DW CHANGING+093Ch ; 53 U17p6,  LFHIMONA     ; HV I MON (Current)
  DW CHANGING+0940h ; 54 U17p12, LFHVMONA     ; HV MON (Output Volts)
  DW CHANGING+0944h ; 55 U17p10, tVREFA       ; +5V Ref*
  DW CHANGING+0948h ; 56 U17p9,  tDVP5DB      ; +5V MON*
  DW CHANGING+094Ch ; 57 U18p5,  tTDC_Ap5MON  ; +6V MON*
  DW CHANGING+0950h ; 58 U18p6,  tTDC_Am5MON  ; -7V MON*
  DW CHANGING+0954h ; 59 U18p7,  LFVPMON      ; PMON LVPC Input Power
  DW CHANGING+0958h ; 5A U18p10, tDGUQT,    MUX_QUP        ;                      dig_uqt     P
  DW CHANGING+095Eh ; 5B U18p10, tDGLQT,    MUX_QLO        ;                      dig_lqt     P
  DW CHANGING+0964h ; 5C U18p10, tDGBWKX,   MUX_B_WALK_X   ; TDC Begin Walk AX    dig_bwkx    P
  DW CHANGING+096Ah ; 5D U18p10, tDGEWKX,   MUX_E_WALK_X   ; TDC End Walk AX      dig_ewkx    P
  DW CHANGING+0970h ; 5E U18p10, tDGTTX,    MUX_TTHR_X     ;                      dig_ttx     P
  DW CHANGING+0976h ; 5F U18p10, tDGTTY,    MUX_TTHR_Y     ;                      dig_tty     P
  DW CHANGING+097Ch ; 60 U18p10, tDGBOFFX,  MUX_XSHIFT     ; TDC Image Shift AX   dig_boffx   P
  DW CHANGING+0982h ; 61 U18p10, tDGEOFFX,  MUX_XSHIFE     ; TDC Image Shift AX   dig_eoffx
  DW CHANGING+0988h ; 62 U18p10, tDGBOFFY,  MUX_YSHIFT     ; sensor               dig_boffy   P
  DW CHANGING+098Eh ; 63 U18p10, tDGEOFFY,  MUX_YSHIFE     ; sensor               dig_eoffy
  DW CHANGING+0994h ; 64 U18p10, tDGBSCLX,  MUX_XSTRETCH   ; TDC Image Stretch AX dig_bscalex
  DW CHANGING+099Ah ; 65 U18p10, tDGESCLX,  MUX_XSTRETCE   ; TDC Image Stretch AX dig_escalex
  DW CHANGING+09A0h ; 66 U18p10, tDGBSCLY,  MUX_YSTRETCH   ;                      dig_bscaley
  DW CHANGING+09A6h ; 67 U18p10, tDGESCLY,  MUX_YSTRETCE   ;                      dig_escaley
  DW CHANGING+09ACh ; 68 U18p10, tDGBWKY,   MUX_BWALY      ;                      dig_bwky
  DW CHANGING+09B2h ; 69 U18p10, tDGEWKY,   MUX_EWALY      ;                      dig_ewky
  DW CHANGING+09B8h ; 6A U18p10, tDVP15T,   MUX_P15V       ;                      volt_p15t
  DW CHANGING+09BEh ; 6B U18p10, tDVM15T,   MUX_M15V       ;                      volt_m15t
  DW CHANGING+09C4h ; 6C U18p10, tMUX_VCC,  MUX_VCC        ;
  DW CHANGING+09CAh ; 6D U18p10, tMUX_M52V, MUX_M52V       ;
  DW CHANGING+09D0h ; 6E U18p10, tMUX_VREF, MUX_VREF       ;
  DW CHANGING+09D6h ; 6F U18p10, tMUX_GND1, MUX_GND1       ;
  DW CHANGING+09DCh ; 70 U18p10, tMUX_GND2, MUX_GND2       ;
  DW CHANGING+09E2h ; 71 U18p10, tMUX_GND3, MUX_GND3       ;
;  DW CHANGING+09E8h   ; 0,           0

  FROGS_CODE 28            ; room for PROM patch

;*****************************************************************************
; This is what we should call if nothing else is happening.  A number of
; tasks can be done... i.e. calculate CRC of ROM,RAM,PHA,and PHB
; This routine must calculate just one byte per call, then update its
; data structures and return.  Each CRC region has the following attributes:
;  CRCword, Pointer -- updated every call, Context points to region below
;  StartAddr, EndAddr, ReadMethod, Monitor, Link
; dbb 2-25-97 added items Image, iFlag, and Diag, which are for detecting
; and reporting changes to CRC.
; Entry point after reentry
REGION0:                      ; Compute CRC for Mask A
    DW      08000h
    DW      0                 ; End address + 1 of region
    DW      RM0                    ; Pointer to routine that loads A from Mask A
    DW      tDMSAV            ; 27 28, Mask A
    DW      REGION5             ; Link to next region
    DW      Image0            ; Address of recorded image of CRC
    DW      DIAG0000          ; Diagnostic code reported when CRC changes

REGION1:                    ; Compute CRC for Mask B
    DW      08000h
    DW      0                 ; End address + 1 of region
    DW      RM1                    ; Pointer to routine that loads A from Mask B
    DW      tDMSAV            ; 27 29, Mask B
    DW      REGION5             ; Link to next region, skip U7 & U2
    DW      Image0            ; Address of recorded image of CRC
    DW      DIAG0000          ; Diagnostic code reported when CRC changes

REGION2:                      ; Compute CRC for Lower RAM Code
    DW      09800h            ; Lower RAM Code
    DW      0C000h            ; End address + 1 of region Lower
    DW      RM0                    ; Pointer to routine that loads A, XDATA
    DW      tCRC_RAM          ; RAM ; was tLower, dbb    9-24-98
$IF PARTIAL
    DW      REGION5             ; Link to next region (ping-pong!)
$ELSE
    DW      REGION3             ; Link to next region
$ENDIF
    DW      Image1            ; Address of recorded image of CRC, Lower
    DW      DIAG0018          ; Diagnostic code reported when CRC changes

REGION3:                      ; Compute CRC for Upper RAM Code
    DW      0D800h            ; Upper RAM Code
    DW      00000h            ; End address + 1 of region
    DW      RM0               ; Pointer to routine that loads A, XDATA
    DW      tUpper            ; Place to put resulting CRC in IDS tlm space
    DW      REGION5             ; Link to next region
    DW      Image2            ; Address of recorded image of CRC, Upper
    DW      DIAG0019          ; Diagnostic code reported when CRC changes

; Entry point during watchdog test
REGION4:                      ; Compute CRC for ; Start address of region, U7
    DW      2000h             ; Start address of region, U7
    DW      4000h             ; End address + 1 of region, U2
    DW      RM1               ; Pointer to routine that loads A from Code
    DW      tCRC_ROM          ; ROM
    DW      REGION2           ; Link to next region
    DW      Image2            ; Address of recorded image of U7 CRC
    DW      DIAG001A          ; Diagnostic code reported when CRC changes

; Entry point during watchdog test
REGION5:                      ; Compute CRC for ; Start address of region, U7
    DW      0000h             ; Start address of region, U7
    DW      4000h             ; End address + 1 of region, U2
    DW      RM1               ; Pointer to routine that loads A from Code
    DW      tCRC_ROM          ; ROM
    DW      REGION2           ; Link to next region
    DW      Image3            ; Address of recorded image
    DW      DIAG001A          ; Diagnostic code reported when CRC changes

; We have to keep the two following data structures to
; maintain compatability with v16200.  dbb 11/16/98 v16233
REGION6:                      ; Compute CRC for Upper RAM Code
    DW      0D800h            ; Upper RAM Code
    DW      0D802h            ; End address + 1 of region
    DW      RM0               ; Pointer to routine that loads A, XDATA
    DW      tU7               ; 29 32, Upper, Place to put resulting CRC
    DW      REGION6             ; Link to next region
    DW      Image0            ; Address of recorded image of CRC, Upper
    DW      DIAG0014          ; Diagnostic code reported when CRC changes

REGION7:                      ; Compute CRC for Upper RAM Code
    DW      0C800h            ; Upper RAM Code
    DW      00000h            ; End address + 1 of region
    DW      RM0               ; Pointer to routine that loads A, XDATA
    DW      tDMSAV            ; 29 32, Upper, Place to put resulting CRC
    DW      REGION5             ; Link to next region
    DW      Image0            ; Address of recorded image of CRC, Upper
    DW      DIAG0000          ; Diagnostic code reported when CRC changes

REGION8:                      ; Compute CRC for Upper RAM Code
    DW      09800h            ; Upper RAM Code
    DW      0C000h            ; End address + 1 of region
    DW      RM0               ; Pointer to routine that loads A, XDATA
    DW      tDMSAV            ; 29 32, Upper, Place to put resulting CRC
    DW      REGION5             ; Link to next region
    DW      Image0            ; Address of recorded image of CRC, Upper
    DW      DIAG0000          ; Diagnostic code reported when CRC changes

    FROGS_CODE 256            ; room for PROM patch

;*****************************************************************************
$IF DEGAP
    SPARE_CODE  894           ; nops fill extra space
    TRAP_CODE     1           ; CHANGING SEGMENT
$ENDIF

;*****************************************************************************
LOC26BITS SEGMENT BIT
         RSEG LOC26BITS
;*** The order of these 16 bits is specified by Josef Dalcolmo's FUSE doc. ***
; STATUS_BITS0
ACT1_BIT:          DBIT 1     ; Actuator 1 bit
ACT2_BIT:          DBIT 1     ; Actuator 2 bit
ACT_EN_BIT:        DBIT 1     ; allows 28V actuators
AUX_PWR_ENA_BIT:   DBIT 1     ; Aux power enable bit

HVQ_ON_BIT:        DBIT 1     ; HVQ on bit
HV_ON_BIT:         DBIT 1     ; HV on bit
HV_ARM_BIT:        DBIT 1     ; allows certain HV commands
IP_1_ON_BIT:       DBIT 1     ; Ion pump 1 control bit

IP_2_ON_BIT:       DBIT 1     ; Ion pump 2 control bit
IP_ENA_BIT:        DBIT 1     ; Ion pump enable bit
MOTOR_CNTRL_A_BIT: DBIT 1     ; Motor direction control bit A
MOTOR_CNTRL_B_BIT: DBIT 1     ; Motor direction control bit B

MOTOR_ENA_BIT:     DBIT 1     ; motor enable bit
MOTOR_ARM_BIT:     DBIT 1     ; allows motor commands
STIM_LMP_ON_BIT:   DBIT 1     ; Stim lamp on bit
FORMAT_BIT:        DBIT 1     ; Format selection bit (science=0)

; STATUS_BITS1
GPFLAG:            DBIT 1     ; When set, indicates a second just ended
RXD_FLAG:          DBIT 1     ; Indicates a RXD activity
SPECIALF:          DBIT 1     ; Used in to select Code source for BYTE_MOVE
OPERATES:          DBIT 1     ; Boot/Operate

PROJECT:           DBIT 1     ; COS/GALEX
ASSERTED:          DBIT 1     ; Indicates REDUCE/RESUME commanded state
HVSDA:             DBIT 1     ; indicates HV shutdown already
HVSDB:             DBIT 1     ; indicates HV shutdown already

STIM_ON_A_BIT:     DBIT 1     ; STIM A is ON
STIM_ON_B_BIT:     DBIT 1     ; STIM B is ON
STIM_A_SWEEP_BIT:  DBIT 1     ; STIM A is SWEEPING
STIM_B_SWEEP_BIT:  DBIT 1     ; STIM B is SWEEPING

xORMAT_BIT:        DBIT 1     ; A duplicate?
MON51RECURSIONF:   DBIT 1     ; Prevent recursive calls to MON51
CLOCK_TICK:        DBIT 1     ; toggles on every interrupt
CLOCK_TOCK:        DBIT 1     ; toggles on every second

; STATUS_BITS2
;*** SAA HV Auto Reduce variables ********************************************
SA_OVERRIDE:       DBIT 1     ; When set, AUTO reduce is disabled, Seg A
SB_OVERRIDE:       DBIT 1     ; When set, AUTO reduce is disabled, Seg B
SA_STATE:          DBIT 1     ; either testing or reduced
SB_STATE:          DBIT 1     ; either testing or reduced
;
MUX_FLAG:          DBIT 1     ; When set, skips MUX activity
ESS_FLAG:          DBIT 1     ; test use -- toggles & times out.
; dbb 6-13-00 Moved SAA_FLAG here so layout would match published ICD.
SAA_FLAG:          DBIT 1     ; When set, skips SAA_TEST
CTRS_FLAG:         DBIT 1     ; Hijacked! for HV ramping A
PHS_FLAG:          DBIT 1     ; Hijacked! for HV ramping B
;
; STATUS_BITSX
CODESpace:         DBIT 1     ; When set, toggles PHDIS during PH data input
nVERBOSE:          DBIT 1     ; No longer used dbb 6-14-00
SAA_ASSERT:        DBIT 1     ; set after SAA_HERE, reset after SAA_OVER
;
CMD_ERR:           DBIT 1     ; Command somehow didn't complete!
PHD_SKIP:          DBIT 1     ; If set, don't change PHDIS
WATCHDOG_STATE:    DBIT 1     ; Reflect status of watchdog
LATCH_FLAG:        DBIT 1     ; When set, skips LATCH state machines
;
; Other flags -- This is not STATUS_BITS3 because gg condensed some bits
; under that name.
GF0:               DBIT 1     ; Prevents BACKGROUND reentry

; Sx_SECOND retired from HVI algorithm, dbb 12-23-98
SA_SECOND:         DBIT 1     ; first overvoltage already detected
SB_SECOND:         DBIT 1     ; first overvoltage already detected
CRCBANNER:         DBIT 1     ; true if banner should be displayed

MASK_SELECT:       DBIT 1     ; true if mask memory is accessed
MASK_A_OR_B:       DBIT 1     ; true if mask B selected
NOP_FLAG:          DBIT 1     ; Set when NO_OPER is received
TIK_FLAG:          DBIT 1     ; Toggles every command, mux Sx_int_time

PH_FLAG:           DBIT 1     ; When set, toggles PHDIS during PH data input
RAMPACMD:          DBIT 1     ; When true, we are commanding HV A
RAMPBCMD:          DBIT 1     ; When true, we are commanding HV B
ILLEGFMT:          DBIT 1     ; set bit to report as diagnostic

DUMMYB:            DBIT 1     ; Filler
LASTSAMPLE:        DBIT 1     ; Indicates trigger, histo one last sample
S_TRIGR:           DBIT 1     ; Tell SAA-machine to trigger artificial SAA
S_OVER:            DBIT 1     ; Tell SAA-machine to timeout from SAA
HKP_FULL:          DBIT 1     ; indicates request to send all 512 hkp dwords

; Spare bits for flags
SKIPSAFE:          DBIT 1     ; Indicates HV not powered off on reset
SKIPDOG:           DBIT 1     ; Indicates W/D should not be disabled on reset
DUMMYBITS:         DBIT 61    ; Spare bits available for use

    END                       ; PATCHCST
